<?php
// WizyTówka - admin/edycja.php
if ( !defined('WT') ) exit();

if ( !empty($b) ) {
  $podstrona = odczyt_podstrona ( $b );
  $zawartosc = $podstrona['zawartosc'];
  unset($podstrona['zawartosc']);
  $typ = odczyt_typ( $podstrona['typ_podstrony'] );
}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $podstrona != false ) {
  
  $podstrona['ostatnia_aktualizacja'] = date(FORMAT_DATY); 

  $wyslany_formularz = true;
  $panel_administracyjny = false;
  if ( $typ['wlasne'] )
    include ( DANE . '/typy/' . $typ['nazwa'] . '_admin.php' );
  else
    include ( SYSTEM . '/typy/' . $typ['nazwa'] . '_admin.php' );
    
  $zapis_zawartosc = $zawartosc;
  zapis_podstrona ( $b, $podstrona, $zapis_zawartosc );

  $admin_naglowek['komunikat'] = $komunikat;
  
}

if ( !empty($b) ) {
  $podstrona = odczyt_podstrona ( $b );
  $zawartosc = $podstrona['zawartosc'];
}

if ( odczyt_konf('ustawienia','przyjazne_adresy') )
  $z = null;
else
  $z = '?a=';
$admin_naglowek['link_podglad'] = odczyt_konf('ustawienia','adres') . '/' . $z . $b;
if ( !$podstrona )
  $admin_naglowek['tytul'] = 'Edycja';
else
  $admin_naglowek['tytul'] = '&bdquo;' . tekst($podstrona['tytul_podstrony'],false) . '&rdquo;';
include('_naglowek.php');
?>
<?php if ( empty($b) ) { ?>
<p class="uwaga">Nie podano identyfikatora podstrony.</p>
<?php } elseif ( !$podstrona ) { ?>
<p class="uwaga">Podstrona z identyfikatorem <strong><?php echo $b ?></strong> nie istnieje.</p>
<?php } elseif ( !$typ ) { ?>
<p class="uwaga">Typ <strong><?php echo $podstrona['typ_podstrony'] ?></strong> określony przy podstronie z identyfikatorem <strong><?php echo $b ?></strong> nie został zainstalowany.</p>
<?php } else {

  $z = '?a=' . $a . '&b=' . $b . '&kod=' . $kod . '&';
  $wyslany_formularz = false;
  $panel_administracyjny = true;
  if ( $typ['wlasne'] )
    include ( DANE . '/typy/' . $typ['nazwa'] . '_admin.php' );
  else
    include ( SYSTEM . '/typy/' . $typ['nazwa'] . '_admin.php' );

  if ( odczyt_konf('ustawienia','edytor') ) {
?>
<script type="text/javascript">
bkLib.onDomLoaded(function() {
	new nicEditor({
    buttonList : ['bold','italic','underline','ul','ol','subscript','superscript','indent','outdent','hr','link','unlink','image','fontFormat','removeformat','xhtml'],
    xhtml      : true,
    iconsPath  : '<?php echo SYSTEM ?>/pliki/nicedit_ikony.gif',
    maxHeight  : 500
	}).panelInstance('edytor');
});
</script>
<?php
  } 
}
?>

<?php
include('_stopka.php');